apiVersion: apps/v1 
kind: Deployment
metadata:
  name: db
spec:
  selector:
    matchLabels:
      app: db
  template:
    metadata:
      labels:
        app: db
    spec:
      containers:
      - image: mysql:5
        name: mysql
        env:
        - name: MYSQL_ROOT_PASSWORD
          value: root
        
        - name: MYSQL_DATABASE
          value : mysql
            
       
          # Use secret in real usage  above ,below is static
    #    - name: MYSQL_ROOT_PASSWORD
       #   value: root
        ports:
        - containerPort: 3306
          name: mysql
        volumeMounts:
        - name: db-persistent-volume-claim 
          mountPath: /var/lib/mysql          
      volumes:
      - name: db-persistent-volume-claim 
        persistentVolumeClaim:
          claimName: db-persistent-volume-claim 
